Subject: Re: [PATCH] git-p4: preserve utf8 BOM when importing from p4 to git

From: Junio C Hamano <[email-masked]>
Date: Wed, 14 Dec 2022 17:29:15 +0900

Tzadik Vanderhoof <[email-masked]> writes:

> I propose rolling back the patch that introduced this behavior, and if
> that is not possible, I would like to submit a patch that adds a new
> setting in the "git-p4" section that will enable users to opt out of
> this new behavior (for example a boolean setting "git-p4.noUtf8Bom").

If a change in the most recent broke P4 users who have happily been
using "git p4", then we definitely should do both.  Immediately
revert in preparation for Git 2.39.1 or Git 2.39.2, while working to
reintroduce it as a separate option to allow the feature to add BOM
automatically to please users like Tao.

But for such a resolution, this report should have come while
fbe5f6b8 (git-p4: preserve utf8 BOM when importing from p4 to git,
2022-04-04) was still in flight, before it was merged for e4a4b315
(Git 2.37, 2022-06-27).  We had three months to do so, and now it is
way too late.